### Method

# Fwupd Report set_vendor

#### Declaration [src]

    void
    fwupd_report_set_vendor (
      FwupdReport* self,
      const gchar* vendor
    )

#### Description [src]

Sets the vendor that uploaded the test result.

Available since: | 1.8.8

#### Parameters

`vendor` | `const gchar*`
| The vendor name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.